For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog in
DocumentationAPI ReferenceModel VersioningChangelog
DocumentationAPI ReferenceModel VersioningChangelog
    • Authentication
    • API Versioning
    • Deployments
    • Error Handling
  • Endpoints
      • POSTCreate Webhook Endpoint
      • GETList Webhook Endpoints
      • GETGet Webhook Endpoint
      • POSTUpdate Webhook Endpoint
      • DELDelete Webhook Endpoint
      • POSTCreate Webhook Subscription
      • GETList Webhook Subscriptions
      • GETGet Webhook Subscription
      • POSTUpdate Webhook Subscription
      • DELDelete Webhook Subscription
  • Webhook Events
LogoLogo
Book a demoLog in
EndpointsWebhooks

List Webhook Subscriptions

GET
/webhook_subscriptions
GET
/webhook_subscriptions
1from extend_ai import Extend
2
3client = Extend(
4 token="YOUR_TOKEN_HERE",
5 extend_api_version="2026-02-09",
6)
7
8client.webhook_subscriptions.list()
1{
2 "object": "list",
3 "data": [
4 {
5 "object": "webhook_subscription",
6 "id": "whes_Xj8mK2pL9nR4vT7qY5wZ",
7 "webhookEndpointId": "wh_Xj8mK2pL9nR4vT7qY5wZ",
8 "resourceType": "extractor",
9 "resourceId": "ex_Xj8mK2pL9nR4vT7qY5wZ",
10 "enabledEvents": [
11 "extract_run.processed",
12 "extract_run.failed"
13 ],
14 "createdAt": "2024-01-15T09:30:00Z"
15 }
16 ],
17 "nextPageToken": "xK9mLPqRtN3vS8wF5hB2cQ==:zWvUxYjM4nKpL7aDgE9HbTcR2mAyX3/Q+CNkfBSw1dZ="
18}

List webhook subscriptions. You can filter by webhookEndpointId to see all subscriptions for a given endpoint, or by resourceId to see all subscriptions for a given resource.

Was this page helpful?
Previous

Get Webhook Subscription

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-extend-api-version"2026-02-09"OptionalDefaults to 2026-02-09
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/api-reference/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/api-reference/authentication) for details on API key scopes.

Query parameters

webhookEndpointIdstringOptional
Filter subscriptions by the webhook endpoint they belong to.
resourceIdstringOptional
Filter subscriptions by the resource they are scoped to.
sortDirenumOptionalDefaults to desc
Sort in ascending or descending order. Ascending order means the earliest result is returned first.
Allowed values:
nextPageTokenstringOptional

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

maxPageSizeintegerOptional1-1000Defaults to 10
The maximum number of results to return in the response. You may receive less than this number if there are fewer results than the maximum.

Response

List of webhook subscriptions
objectenum
Allowed values:
datalist of objects
nextPageTokenstring

The token used to fetch the page of results from a previous request. We use cursor based pagination and will return a nextPageToken in the response if there are more results.

Note that if other parameters are changed in subsequent requests, you may receive inconsistent data.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.